Subject: Re: Persistent problem with handshake unit tests

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Feb 2024 18:27:04 -0800

On Fri, 2 Feb 2024 17:45:55 -0800 Guenter Roeck wrote:
> > I was wondering how do you discover the options. Periodically grep for
> > new possible KUNIT options added to the kernel? Have some script that
> > does it.
> 
> "Periodically grep for > new possible KUNIT options added to the kernel"
> 
> Exactly, and see what happens if I enable them to determine if they run
> fast and if they are stable enough to be enabled in a qemu test. I can not
> enable tests automatically because some just take too long to run...

Ugh, we have such a long way to go with kernel testing :(
At least I know I'm not missing an obvious trick, thanks for explaining!